Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class LevelPatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.LevelPatternConverter

All Implemented Interfaces:
  PatternConverter

    @Plugin(name="LevelPatternConverter",
            category="Converter")
    public final class LevelPatternConverter

extends LogEventPatternConverter

Returns the event's level in a StringBuilder.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Method Summary
`void` | `format(LogEvent event, StringBuilder output)` Formats an event into a string buffer.
`String` | `getStyleClass(Object e)` This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.
`static LevelPatternConverter` | `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format, handlesThrowable`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static LevelPatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null. May contain a list of level names and The value that should be displayed for the Level.
  Returns:
    instance of pattern converter.

### format

    public void format(LogEvent event,
                       StringBuilder output)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `output` - string buffer to which the formatted event will be appended. May not be null.

### getStyleClass

    public String getStyleClass(Object e)

  This method returns the CSS style class that should be applied to the LoggingEvent passed as parameter, which can be null.

  This information is currently used only by HtmlLayout.

  Specified by:
    `getStyleClass` in interface `PatternConverter`
  Overrides:
    `getStyleClass` in class `AbstractPatternConverter`
  Parameters:
    `e` - null values are accepted
  Returns:
    the name of the conversion pattern

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.